<?php

$bad_words = "UNION SELECT INSERT schemata FROM DELETE DROP TRUNCATE UPDATE <script> </script> javascript group_access document.cookie alert() eval() system() OUTFILE INTO";
//составить массив "плохих" слов
$bad_list = explode(' ', $bad_words);
//данные для обработки: в случае POST запроса имеем все значения, склеенные в строку через пробел
//в случае GET и всего остального - QUERY_STRING
$line = $_POST?implode(" ", $_POST):$_SERVER['QUERY_STRING'];
//искать по всем словам
foreach ($bad_list as $re) {
//Попытка взлома сайта запросом: $Site/$Gde?$Querry ,IP хакера: [green]$Ip[/green] , Софт: [red]$Cuseragent[/red]
$Site=$_SERVER['SERVER_NAME']; //Атакуемый сайт
//если находим плохое слово
$Ip = $_SERVER['HTTP_X_FORWARDED_FOR']; //IP юзера
$Cuseragent = $_SERVER['HTTP_USER_AGENT']; //Софт
$Gde=$_SERVER['SCRIPT_NAME']; // Атакуемый файл
$Querry=$_SERVER['QUERY_STRING']; // Запрос
if (preg_match("#$re#i", $line) && !isset($_GET['execute'])) {
header('Refresh: 5; url=http://$Site/index.php');
 Die("Попытка взлома сайта, запросом: $Site/$Gde?$Querry, через 5 секунд вы будете переадресованы  на страницу $Site/index.php");
             //mysql_query("INSERT INTO `mail` (`id_user`, `id_kont`, `msg`, `time`) values('0', '0', '$ip, $cuseragent, $soft, $gde, $querry ', '$time')");
	     } }
?>